#!/bin/bash

# set -x

# 参数说明：
# XRender - 设置成使用XRender后端，将Backend设置为XRender、OpenGLIsUnsafe设置为true
# OpenGL  - 设置成使用GL后端，将Backend设置为OpenGL、OpenGLIsUnsafe设置为false

BACKEND=$1

# kylin
# uos
OS=`cat /etc/os-release | sed -n '/^ID=/p' | sed -e 's/"//g' -e 's/ID=//g' | tr A-Z a-z`

if [ "${OS}" == "kylin" ]; then
	RCS=`find /home/ -mindepth 3 -maxdepth 3 -type f -name ukui-kwinrc`
elif [ "${OS}" == "uos" ]; then
	RCS=`find /home/ -mindepth 3 -maxdepth 3 -type f -name kwinrc`
fi

if [ "${BACKEND}" == "XRender" ]; then
	for RC in ${RCS}
	do
		if [ -e ${RC} -a ! -z ${RC} ]; then
				sed -i -e 's/\(Backend\)=.*/\1=XRender/g' -e 's/\(OpenGLIsUnsafe\)=.*$/\1=true/g' ${RC}
		fi
	done
elif [ "${BACKEND}" == "OpenGL" ]; then
	for RC in ${RCS}
	do
		if [ -e ${RC} -a ! -z ${RC} ]; then
				sed -i -e 's/\(Backend\)=.*/\1=OpenGL/g' -e 's/\(OpenGLIsUnsafe\)=.*$/\1=false/g' ${RC}
		fi
	done
fi

exit 0
